Package org.eclipse.mat.report.internal

## Class Parameters.Deep

- java.lang.Object
- - org.eclipse.mat.report.internal.Parameters
  - - org.eclipse.mat.report.internal.Parameters.Deep

Enclosing class:
  Parameters

    public static final class Parameters.Deep
    extends Parameters

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.report.internal.Parameters

`Parameters.Deep`

### Constructor Summary

Constructors
`Deep​(java.util.Map<java.lang.String,​java.lang.String> map)`
`Deep​(Parameters parent, java.util.Map<java.lang.String,​java.lang.String> map)`
`Deep​(Parameters parent, Parameters map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `get​(java.lang.String key, java.lang.String defaultValue)`
`void` `put​(java.lang.String key, java.lang.String value)`
`void` `putAll​(java.util.Map<java.lang.String,​java.lang.String> params)`
`Parameters` `shallow()`

### Methods inherited from class org.eclipse.mat.report.internal.Parameters

`expand, get, getBoolean, getInt, getStringArray`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Deep

    public Deep​(Parameters parent,
                java.util.Map<java.lang.String,​java.lang.String> map)

#### Deep

    public Deep​(Parameters parent,
                Parameters map)

#### Deep

    public Deep​(java.util.Map<java.lang.String,​java.lang.String> map)

### Method Detail

#### get

    public java.lang.String get​(java.lang.String key,
                                java.lang.String defaultValue)

Specified by:
  `get` in class `Parameters`

#### putAll

    public void putAll​(java.util.Map<java.lang.String,​java.lang.String> params)

Specified by:
  `putAll` in class `Parameters`

#### put

    public void put​(java.lang.String key,
                    java.lang.String value)

Specified by:
  `put` in class `Parameters`

#### shallow

    public Parameters shallow()

Specified by:
  `shallow` in class `Parameters`